<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:b="http://bootsfaces.net/ui" xmlns:p="http://primefaces.org/ui">

<ui:composition template="template.xhtml">

	<ui:define name="conteudo">

		<script type="text/javascript">
	
		    $(window).ready(function() {
				
				console.log('>>>>>Load');
				$('.formValidationModalClass').modal('show');
			}
		    
		</script>
		
		<b:button onclick="$('.formValidationModalClass').modal('show')"
			value="show modal with validation" />
		<b:modal title="Number game" styleClass="formValidationModalClass"
			closable="false" closeOnEscape="true">
			<b:form>
				<p>Please enter a number between 1 and 99.</p>
				<b:inputText value="42" label="Tage" required="true"
					requiredMessage="Please enter a number" large-screen="two-thirds">
					<f:convertNumber integerOnly="true" />
					<f:validateLongRange minimum="1" maximum="99" />
				</b:inputText>
				<b:row>
					<b:column>
						<b:button largeScreen="half" value="Cancel" dismiss="modal"
							onclick="return false;" />
						<b:commandButton largeScreen="half" update="@form" dismiss="modal"
							value="Save" look="success"
							oncomplete="if(!validationFailed) { $('.formValidationModalClass').modal('hide') } " />
					</b:column>
				</b:row>
				<b:fetchBeanInfos />
				<b:messages />
			</b:form>
		</b:modal>
		<b:row>
			<b:column span="2">
				<h:form>
					<b:flyOutMenu width="50px">
						<b:navLink value="Start" icon="globe" iconAlign="right"
							update="@form @(.content)"
							onclick="ajax:testBean.setPage('pessoaFisica.xhtml')" />
						<b:navLink value="Register yourself" update="@form @(.content)"
							onclick="ajax:testBean.setPage('listaPessoaFisica.xhtml')" />
						<b:navCommandLink value="Start (non AJAX)"
							action="#num;{testBean.start}" />
						<b:navCommandLink value="Register yourself (non AJAX)"
							action="#num;{testBean.register}" />
					</b:flyOutMenu>
				</h:form>
			</b:column>
			<b:column span="10" class="content">
				<ui:include src="#{testBean.page}" />
			</b:column>
		</b:row>

	</ui:define>

</ui:composition>

</html>